%global _empty_manifest_terminate_build 0
Name:           python-taskflow
Version:        3.7.1
Release:        1
Summary:        Taskflow structured state management library.
License:        Apache-2.0
URL:            https://docs.openstack.org/taskflow/latest/
Source0:        https://files.pythonhosted.org/packages/eb/1d/816e521a7107a24f92c6c20b761d0751704456328529c4e3b9256951e75c/taskflow-3.7.1.tar.gz
BuildArch:      noarch
%description
A library to do [jobs, tasks, flows] in a highly available, easy to understand
and declarative manner (and more!) to be used with OpenStack and other projects.

%package -n python3-taskflow
Summary:        Taskflow structured state management library.
Provides:       python-taskflow
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General requires
BuildRequires:  python3-six
BuildRequires:  python3-futurist
BuildRequires:  python3-fasteners
BuildRequires:  python3-networkx
BuildRequires:  python3-stevedore
BuildRequires:  python3-jsonschema
BuildRequires:  python3-automaton
BuildRequires:  python3-oslo-utils
BuildRequires:  python3-oslo-serialization
BuildRequires:  python3-tenacity
BuildRequires:  python3-cachetools
BuildRequires:  python3-debtcollector
BuildRequires:  python3-sqlalchemy
BuildRequires:  python3-alembic
BuildRequires:  python3-SQLAlchemy-Utils
BuildRequires:  python3-PyMySQL
BuildRequires:  python3-psycopg2
BuildRequires:  python3-eventlet
BuildRequires:  python3-redis
BuildRequires:  python3-kombu
BuildRequires:  python3-kazoo
BuildRequires:  python3-zake
# General requires
Requires:       python3-pbr
Requires:       python3-six
Requires:       python3-futurist
Requires:       python3-fasteners
Requires:       python3-networkx
Requires:       python3-stevedore
Requires:       python3-jsonschema
Requires:       python3-automaton
Requires:       python3-oslo-utils
Requires:       python3-oslo-serialization
Requires:       python3-tenacity
Requires:       python3-cachetools
Requires:       python3-debtcollector
Requires:       python3-sqlalchemy
Requires:       python3-alembic
Requires:       python3-SQLAlchemy-Utils
Requires:       python3-PyMySQL
Requires:       python3-psycopg2
Requires:       python3-eventlet
Requires:       python3-redis
Requires:       python3-kombu
Requires:       python3-kazoo
Requires:       python3-zake
%description -n python3-taskflow
A library to do [jobs, tasks, flows] in a highly available, easy to understand
and declarative manner (and more!) to be used with OpenStack and other projects.

%package help
Summary:        Taskflow structured state management library.
Provides:       python3-taskflow-doc
%description help
A library to do [jobs, tasks, flows] in a highly available, easy to understand
and declarative manner (and more!) to be used with OpenStack and other projects.

%prep
%autosetup -n taskflow-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .


%files -n python3-taskflow -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Mon Nov 15 2021 liusheng <liusheng2048@gmail.com> - 3.7.1-1
- Upgrade taskflow package to version 3.7.1

* Tue Nov 09 2021 OpenStack_SIG <openstack@openeuler.org> - 3.2.0-1
- Init package python3-taskflow with version 3.2.0
